Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#27 Grub2 problems using disk to disk copying

v1.0_(example)
closed
nobody
None
5
2013-04-27
2013-04-15
Tony
No

I use clonezilla 2.0.1.15-amd64 on a amd dual core system with win7 and linux mint 14 installed. When I use this as a disk to disk copy sda to sdb (both disks are equal in size)it works fine except when i want to use the sdb disk as sda I always get a grub failure ending in a grub or grub rescue prompt. So each time I have to repair the grub installation in order to work again from the grub menu. Is there any possibility to avoid mentioned problems. Is clonezilla copying bit by bit ? So how can then the a.m. failure arise ? I use clonezilla each week as a complete back up sytem in addition of the daily data backup. I'll appreciate any answer which can help me in this matter.

Related

Support Requests: #27

Discussion

  • Steven Shiau
    Steven Shiau
    2013-04-20

    I could NOT reproduce this issue with Clonezilla live 2.1.1-7-amd64. Could you give that version a try? I remember there is a related grub issue has been fixed.
    Also, you can give Clonezilla live 2.1.1-19-amd64 a try, too.
    Please let me know the results. Thanks.

    Steven.

     
    • Tony
      Tony
      2013-04-22

      Hello Steven,

      Thank you for your answer.
      In the meantime the problem seems to be solved.
      I used a boot-repair linux grub 2 cd and restored the boot partition on the target disk sdb in order to see if the disk was repaired. Grub was't starting and a got windows only . Then a did the whole proces of copying sda to sdb again with the same clonezilla live version I mentioned in my request and this time clonezilla mentioned that Grub 2 was correctly copied and functional. And Indeed using sdb as a single disk in my system it worked perfectly in sata2 as in sata1 setup. I still dont know what caused the problem. Anyway I hope the clonizilla process will keep on going correctly.
      Again a sincere "thank you" for helping me out

      Tony

       
  • Fuchs
    Fuchs
    2013-04-21

    Additionally
    do not forget to set the jumpers for the 2 HDDs rightly
    concerning 'master' and 'slave'.
    Have a look for the manuals of your both HDDs.
    Any information can you find at the rear of the HDDs too.
    Don´t forget the second HDD in the BIOS,
    and the 'Boot Device Priority'!

     
  • Tony
    Tony
    2013-04-22

    Hello Mr. Fuchs,

    Many thanks for taking the effort to help me out.
    Please be informed that in the meantime the problem seems to be solved.
    For your info I use sata disks so I don't have to worry about
    master/slave settings . I apologize I didn't mentioned this in my request.
    Any way many thanks again for your answer by return.

    Tony

    Op 21/04/2013 13:43, Fuchs schreef:

    Additionally
    do not forget to set the jumpers for the 2 HDDs rightly
    concerning 'master' and 'slave'.
    Have a look for the manuals of your both HDDs.
    Any information can you find at the rear of the HDDs too.
    Don´t forget the second HDD in the BIOS,
    and the 'Boot Device Priority'!


    [support-requests:#27]
    http://sourceforge.net/p/clonezilla/support-requests/27/ Grub2
    problems using disk to disk copying

    Status: open
    Created: Mon Apr 15, 2013 04:33 PM UTC by Tony
    Last Updated: Sat Apr 20, 2013 03:40 AM UTC
    Owner: nobody

    I use clonezilla 2.0.1.15-amd64 on a amd dual core system with win7
    and linux mint 14 installed. When I use this as a disk to disk copy
    sda to sdb (both disks are equal in size)it works fine except when i
    want to use the sdb disk as sda I always get a grub failure ending in
    a grub or grub rescue prompt. So each time I have to repair the grub
    installation in order to work again from the grub menu. Is there any
    possibility to avoid mentioned problems. Is clonezilla copying bit by
    bit ? So how can then the a.m. failure arise ? I use clonezilla each
    week as a complete back up sytem in addition of the daily data backup.
    I'll appreciate any answer which can help me in this matter.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/clonezilla/support-requests/27/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    Geen virus gevonden in dit bericht.
    Gecontroleerd door AVG - www.avg.com http://www.avg.com
    Versie: 2013.0.3272 / Virusdatabase: 3162/6261 - datum van uitgifte:
    04/20/13

     

    Related

    Support Requests: #27

  • Tony
    Tony
    2013-04-22

    Hello Mr. Fuchs,

    Many thanks for taking the effort to help me out.
    Please be informed that in the meantime the problem seems to be solved. For your info I use sata disks so I don't have to worry about master/slave settings . I apologize I didn't mentioned this in my request.
    Anyway many thanks again for your answer by return.

    Tony

     
  • Tony
    Tony
    2013-04-22

    Hello Steven,

    Thank you for your answer.
    In the meantime the problem seems to be solved.
    I used a boot-repair linux grub 2 cd and restored the boot partition on
    the target disk sdb in order to see if the disk was repaired. Grub
    was't starting and a got windows only . Then a did the whole proces of
    copying sda to sdb again with the same clonezilla live version I
    mentioned in my request and this time clonezilla mentioned that Grub 2
    was correctly copied and functional. And Indeed using sdb as a single
    disk in my system it worked perfectly in sata2 as in sata1 setup. I
    still dont know what caused the problem. Anyway I hope the clonizilla
    process will keep on going correctly.
    Again a sincere "thank you" for helping me out

    Tony

    Op 20/04/2013 5:40, Steven Shiau schreef:

    I could /NOT/ reproduce this issue with Clonezilla live 2.1.1-7-amd64.
    Could you give that version a try? I remember there is a related grub
    issue has been fixed.
    Also, you can give Clonezilla live 2.1.1-19-amd64 a try, too.
    Please let me know the results. Thanks.

    Steven.


    [support-requests:#27]
    http://sourceforge.net/p/clonezilla/support-requests/27/ Grub2
    problems using disk to disk copying

    Status: open
    Created: Mon Apr 15, 2013 04:33 PM UTC by Tony
    Last Updated: Mon Apr 15, 2013 04:33 PM UTC
    Owner: nobody

    I use clonezilla 2.0.1.15-amd64 on a amd dual core system with win7
    and linux mint 14 installed. When I use this as a disk to disk copy
    sda to sdb (both disks are equal in size)it works fine except when i
    want to use the sdb disk as sda I always get a grub failure ending in
    a grub or grub rescue prompt. So each time I have to repair the grub
    installation in order to work again from the grub menu. Is there any
    possibility to avoid mentioned problems. Is clonezilla copying bit by
    bit ? So how can then the a.m. failure arise ? I use clonezilla each
    week as a complete back up sytem in addition of the daily data backup.
    I'll appreciate any answer which can help me in this matter.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/clonezilla/support-requests/27/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    Geen virus gevonden in dit bericht.
    Gecontroleerd door AVG - www.avg.com http://www.avg.com
    Versie: 2013.0.3272 / Virusdatabase: 3162/6259 - datum van uitgifte:
    04/20/13

     

    Related

    Support Requests: #27

  • Steven Shiau
    Steven Shiau
    2013-04-27

    Got it. If the issue is reproduced in the future, please let us know.
    Thanks.

    Steven.

     
  • Steven Shiau
    Steven Shiau
    2013-04-27

    • status: open --> closed